Subject: Re: [mpls] draft-george-mpls-ipv6-only-gap-04.txt

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 6 Mar 2014 14:54:08 +0000

Thanks, Markus.

We are incorporating these comments.

Carlos.

-----Original Message-----
From: Markus Jork <[email-masked]>
Date: Friday, February 28, 2014 at 10:43 PM
To: "[email-masked]"
<[email-masked]>,
"[email-masked]" <[email-masked]>, Martin
Vigoureux <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [mpls] draft-george-mpls-ipv6-only-gap-04.txt

>This is a very useful effort and should be adopted as a WG document.
>It is difficult to say whether the current draft has captured all the
>potential problems but it appears quite exhaustive already. It is also
>clearly written and technically sound.
>
>The use case discussion in section 2 seems overly defensive and doesn't
>contribute much to the document, it might as well be removed for the sake
>of brevity.
>
>Some minor technical feedback:
>
>The verdict at the end of section 3.3.2.1 is:
>"Gap: Major. RFC4659 needs to be updated to explicitly cover use case #2".
>I believe this is meant to say "RFC 4798". But I'm not sure that's fair.
>RFC 4798 is very explicitly covering only the 6PE use case. That's all it
>is trying to achieve, so adding "4PE" to this RFC would be overloading
>it. If there are gaps with a "4PE" use case not sufficiently covered by
>existing specs, and people are actually interested in doing this, then
>this should probably be addressed by a new RFC dedicated that use case?
>
>In section 3, the reference for RSVP-TE should be RFC 3209 and not RFC
>5420.
>
>I also noticed two very minor typos:
>3.3.2: "RFC4364 defines as VPN-IPv4 address type"
>3.3.2.3: "tunnelling over an single-Address"
>
>
>-Markus
>
>
>> -----Original Message-----
>> From: Loa Andersson [mailto:[email-masked]]
>> Sent: Saturday, February 15, 2014 3:07 AM
>> To: David Allan I; Mach Chen; Markus Jork; draft-george-mpls-ipv6-only-
>> [email-masked]; [email-masked]; VIGOUREUX, MARTIN
>> (MARTIN); Aissaoui, Mustapha (Mustapha)
>> Subject: draft-george-mpls-ipv6-only-gap-04.txt
>> 
>> Dave, Mach, Markus and Mustapha,
>> 
>> You have been selected as MPLS Review team reviewers for
>> draft-george-mpls-ipv6-only-gap-04.
>> 
>> Note to authors: You have been CC'd on this email so that you can know
>> that this review is going on. However, please do not review your own
>> document.
>> 
>> Note 2: All the IPv& expertise we have in the MPLS review team are
>> listed as contributors on this draft. I've therefore asked Mustapha
>> to review.
>> 
>> Reviews should comment on whether the document is coherent, is it
>> useful (ie, is it likely to be actually useful in operational
>> networks), and is the document technically sound?  We are interested
>> in knowing whether the document is ready to be considered for WG
>> adoption (ie, it doesn't have to be perfect at this point, but should be
>> a good start).
>> 
>> Reviews should be sent to the document authors, WG co-chairs and
>> WG secretary, and CC'd to the MPLS WG email list. If necessary, comments
>> may be sent privately to only the WG chairs.
>> 
>> Are you able to review this draft by March 1, 2014?
>> 
>> 
>> Thanks, Loa
>> (as MPLS WG chair)
>> --
>> 
>> 
>> Loa Andersson                        email: [email-masked]
>> Senior MPLS Expert                          [email-masked]
>> Huawei Technologies (consultant)     phone: +46 739 81 21 64
>> 
>
>
>_______________________________________________
>mpls mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Tue, 18 Mar 2014 20:30:01 +0000

Hi Markus,

Please see inline,

> existing specs, and people are actually interested in doing this, then

IMO, there is no (better) alternative to accommodating v4 (as an overlay)
if moved to a v6-only core network. Is there any?

> this should probably be addressed by a new RFC dedicated that use case?

That¹s indeed the path we have had in mind. Thanks.

-- 
Cheers,
Rajiv  

-----Original Message-----
From: Carlos Pignataro <[email-masked]>
Date: Thursday, March 6, 2014 at 9:54 AM
To: Markus Jork <[email-masked]>,
"[email-masked]"
<[email-masked]>,
"[email-masked]" <[email-masked]>, MARTIN
VIGOUREUX <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [mpls] draft-george-mpls-ipv6-only-gap-04.txt